Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3212 closed defect (worksforme)

Qemu Fails to Build, RSB Gives Odd Traceback

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: tool/rsb Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

After applying the attached patch to update the md5's to sha512's, something goes wrong in the RSB build of Qemu. There is nothing obvious from the qemu build directory. But it appears that the cd into the qemu git directory didn't work and it is acting on my RSB git clone. The RSB trace is:

script: 78: cd "/data/home/joel/rtems-work/rtems-source-builder/bare/build/qemu-42d58e7c6760cb9c55627c28ae538e27dcf2f144-x86_64-linux-gnu-1"
script: 79: echo "=> qemu-42d58e7c6760cb9c55627c28ae538e27dcf2f144-x86_64-linux-gnu-1:"
script: 80: echo "==> %prep:"
script: 81: build_top=$(pwd)
script: 82: source_dir_qemu="qemu-42d58e7c6760cb9c55627c28ae538e27dcf2f144"
source setup: qemu-42d58e7c6760cb9c55627c28ae538e27dcf2f144-x86_64-linux-gnu-1: source qemu -q -n qemu-42d58e7c6760cb9c55627c28ae538e27dcf2f144
making dir: /data/home/joel/rtems-work/rtems-source-builder/bare/sources/git
_url: git://git.qemu-project.org/qemu.git?pull?checkout=42d58e7c6760cb9c55627c28ae538e27dcf2f144?submodule=dtc -> /data/home/joel/rtems-work/rtems-source-builder/bare/sources/git/qemu.git
cmd: (/data/home/joel/rtems-work/rtems-source-builder/bare/sources/git/qemu.git) /usr/bin/git status
exe: ['/usr/bin/git', 'status']
# On branch am
# Untracked files:
#   (use "git add <file>..." to include in what will be committed)
#
#	../../../../am/
#	../../../j_qemu
#	../../../nohup.out
#	../../../../gcc7/
#	../../../../rtems/4.10-targets
#	../../../../rtems/all
#	../../../../rtems/chris
#	../../../../rtems/do_a
#	../../../../rtems/do_all
#	../../../../rtems/nohup.out
#	../../../../rtems/p_rm
#	../../../../rtems/sh-gdb.diff
nothing added to commit but untracked files present (use "git add" to track)
cmd: (/data/home/joel/rtems-work/rtems-source-builder/bare/sources/git/qemu.git) /usr/bin/git clean -f -d
exe: ['/usr/bin/git', 'clean', '-f', '-d']
cmd: (/data/home/joel/rtems-work/rtems-source-builder/bare/sources/git/qemu.git) /usr/bin/git reset --hard
exe: ['/usr/bin/git', 'reset', '--hard']
HEAD is now at 96485e3 Add SHA512 checksums for qemu sources
cmd: (/data/home/joel/rtems-work/rtems-source-builder/bare/sources/git/qemu.git) /usr/bin/git checkout master
exe: ['/usr/bin/git', 'checkout', 'master']
Switched to branch 'master'
git: pull: git://git.qemu-project.org/qemu.git
cmd: (/data/home/joel/rtems-work/rtems-source-builder/bare/sources/git/qemu.git) /usr/bin/git pull
exe: ['/usr/bin/git', 'pull']
Build Set: Time 0:05:24.810871
abort: user terminated

Attachments (1)

0001-Add-SHA512-checksums-for-qemu-sources.patch (6.6 KB) - added by Joel Sherrill on 10/27/17 at 18:17:23.

Download all attachments as: .zip

Change History (7)

comment:1 Changed on 10/27/17 at 18:18:09 by Joel Sherrill

Owner: set to Chris Johns
Status: newassigned

comment:2 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:3 Changed on 04/11/18 at 02:09:16 by Chris Johns

I see a patch for the checksums has already gone into the repo. See [changeset:"18e1ba6a404e1477f8f2c0264790323152d8663c/rtems-source-builder" 18e1ba6a/rtems-source-builder]. The attachment will not be merged.

comment:4 Changed on 04/11/18 at 02:14:22 by Chris Johns

This looks like git is walking up above the qemu.git top. I am not sure how to recreate the problem.

Can this please be moved to another milestone and if it comes up in GSoC 2018 we can look into it and get a fix?

comment:5 in reply to:  4 Changed on 11/21/18 at 02:14:45 by Chris Johns

Replying to Chris Johns:

Can this please be moved to another milestone and if it comes up in GSoC 2018 we can look into it and get a fix?

Ping?

comment:6 Changed on 12/12/19 at 23:24:47 by Joel Sherrill

Resolution: worksforme
Status: assignedclosed

This has aged out. Closing as "works for me" since qemu has been built many times since this ticket was filed. Open new ticket for new problems.

Note: See TracTickets for help on using tickets.